/* -------- HEADER -------- */

.nonebox-active .et-l--header {
	top: -110%;
}

.et-l--header {
	position: fixed;
	width: 100%;
	top: 0;
	left: 0;
	right: 0;
	z-index: 99;
	transition: 0.4s;
}

.header {
	box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.3);
	background-color: #fff;
}

.header .container {
	position: relative;
	width: 96%;
	margin: auto;
}

.header .navigation-wrap {
	width: 100%;
}

.header .custom-menu {
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 0;
	list-style: none;
}
	
.header .custom-menu > li {
	padding: 30px 10px;
}

.header .custom-menu li a {
	padding: 10px 2px;
	color: #293238;
	transition: 0.3s;
}

@media only screen and (min-width: 1180px) {
	.header .custom-menu li a {
		white-space: nowrap;
	}
}

.header .custom-menu > li > .sub-menu {
	width: 100%;
	max-width: 1200px;
	left: 50%;
	transform: translate(-50%, 0%);
	top: -300%;
	position: absolute;
	border: 2px solid #ee723c;
	border-top: none;
	border-radius: 0 0 30px 30px;
	padding: 25px;
	padding-bottom: 90px;
	background-color: #fff;
/* 	background-image: url('/wp-content/uploads/2024/01/ads_menu2-e1705921052444.webp'); */
/* 	background-size: 300px; */
/* 	background-repeat: no-repeat; */
/* 	background-position: 98% 98%; */
	list-style: none;
	box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.3);
	z-index: -1;
	display: flex;
	align-items: stretch;
	justify-content: flex-start;
	flex-wrap: wrap;
	row-gap: 20px;
	opacity: 0;
	transition: 0.6s;
}

.header .custom-menu > li span {
	display: none;
}

.header .custom-menu > li > .sub-menu > li {
	width: 18%;
	margin: 0 1%;
}

.header .custom-menu > li.menu-item-has-children:hover .sub-menu {
	top: 100%;
	opacity: 1;
}

.header .custom-menu > li.menu-item-has-children > a {
	position: relative;
	pointer-events: none;
}

.header .custom-menu > li.menu-item-has-children > span {
	position: relative;
	display: block;
	width: 100%;
}

.header .custom-menu > li.menu-item-has-children > span i {
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	width: 20px;
	bottom: -12px;
	left: calc(50% - 10px);
	font-size: 16px;
	color: #293238;
}

.header .custom-menu > li.menu-item-has-children:hover > span i {
	color: #ee723c;
}

.header .custom-menu li:hover > a {
	color: #ee723c;
}

.header .custom-menu li.current_page_item > a,
.header .custom-menu li.current_page_item span i {
	color: #ee723c !important;
	font-weight: 700;
}

.header .custom-menu > li > .sub-menu > li > a {
	border: 1px solid #ee723c;
	border-radius: 4px;
	padding: 5px 8px;
	width: 100%;
	display: block;
	font-size: 18px;
	font-weight: 700;
}

/* .header .custom-menu > li > .sub-menu > li.current-menu-item > a, */
.header .custom-menu > li > .sub-menu > li:hover > a {
	background-color: #ee723c;
	color: #333;
}

.header .custom-menu > li > .sub-menu > li ul {
	list-style: none;
}

.header .custom-menu > li > .sub-menu > li ul {
	padding: 5px 8px !important;
}

.header .custom-menu > li > .sub-menu > li.header-nav-services {
	position: absolute;
	bottom: 10px;
	right: 10px;
	width: 25%;
}

.header .custom-menu > li > .sub-menu > li.header-nav-services:hover > a {
	background: none !important;
}

.header .custom-menu > li > .sub-menu > li.header-nav-services a {
	border: none;
	display: flex;
	align-items: center;
	justify-content: center;
}

@media only screen and (max-width: 1140px) {
	.header .custom-menu > li > .sub-menu > li > a {
		font-size: 15px;
	}
}

@media only screen and (max-width: 980px) {
	.header .container {
		padding: 5px 0;
	}
	.header .button.contacts-button {
		display: none;
	}
	.header .custom-menu > li > .sub-menu > li.header-nav-services {
		display: none !important;
	}
}

/* DARK THEME */

.header.dark .custom-menu > li > .sub-menu {
	background-color: #293238;
}

.header.dark .custom-menu > li > .sub-menu > li a {
	color: #fff;
}

.header.dark .custom-menu > li > .sub-menu > li.current-menu-item > a,
.header.dark .custom-menu > li > .sub-menu > li:hover > a {
	color: #fff;
}

/* -------- TOGGLE MENU --------- */

.cmn-toggle-switch {
	display: none;
	position: relative;
	overflow: hidden;
	margin: 0;
	padding: 0;
	width: 50px;
	min-width: 50px;
	height: 50px;
	font-size: 0;
	/* 	top: 0; */
	text-indent: -9999px;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	box-shadow: none;
	border-radius: 8px;
	border: none;
	cursor: pointer;
	-webkit-transition: 0.3s;
	transition: 0.3s;
	z-index: 9999;
	align-items: center;
}

.cmn-toggle-switch:focus {
	outline: none;
}

.cmn-toggle-switch span {
	display: block;
	position: absolute;
	left: 15%;
	right: 15%;
	height: 2px;
	background-color: #fff;
}

.cmn-toggle-switch span::before,
.cmn-toggle-switch span::after {
	position: absolute;
	display: block;
	left: 0;
	width: 100%;
	height: 2px;
	background-color: #fff;
	content: "";
}

.cmn-toggle-switch span::before {
	top: -10px;
}

.cmn-toggle-switch span::after {
	bottom: -10px;
}

.cmn-toggle-switch {
	background-color: #ed6b32;
}

.cmn-toggle-switch span {
	-webkit-transition: background 0s .3s;
	transition: background 0s .3s;
}

.cmn-toggle-switch span::after,
.cmn-toggle-switch span::before {
	-webkit-transition-duration: .3s, .3s;
	transition-duration: .3s, .3s;
	-webkit-transition-delay: .3s, 0s;
	transition-delay: .3s, 0s;
}

.cmn-toggle-switch span::before {
	-webkit-transition-property: top, -webkit-transform;
	transition-property: top, transform;
}

.cmn-toggle-switch span::after {
	-webkit-transition-property: bottom, -webkit-transform;
	transition-property: bottom, transform;
}

.cmn-toggle-switch.active {
	background-color: #cb0032;
	transform: translatey(60px);
}

.cmn-toggle-switch.active span {
	background: 0 0;
}

.cmn-toggle-switch.active span::before {
	top: 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}

.cmn-toggle-switch.active span::after {
	bottom: 0;
	-webkit-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
	transform: rotate(-45deg);
}

.cmn-toggle-switch.active span::after,
.cmn-toggle-switch.active span::before {
	-webkit-transition-delay: 0s, .3s;
	transition-delay: 0s, .3s;
}

/* -------- MOBILE MENU -------- */

@media only screen and (max-width: 980px) {
	
	.header .custom-menu > li.menu-item-has-children > span i {
		display: none;
	}
	
	.cmn-toggle-switch {
		display: flex;
	}

	.header .custom-menu {
		position: fixed;
		top: 0;
		left: -100%;
		height: 100%;
		width: 100%;
		color: #fff;
		background-color: #293238;
		z-index: 9998;
		-webkit-transition: left 0.5s;
		-moz-transition: left 0.5s;
		-o-transition: top 0.5s;
		transition: 0.5s;
		overflow-y: auto;
		display: flex;
		align-items: center;
		justify-content: flex-start;
		flex-direction: column;
		padding: 80px 70px 50px 20px;
	}
	
	.header .custom-menu::before {
		position: relative;
		content: '';
		display: block;
		margin-top: auto;
	}
	
	.header .custom-menu > li:first-child {
/* 		margin-top: auto; */
	}

	.header .custom-menu > li > .sub-menu {
		width: 100%;
		left: auto;
		transform: none;
		top: auto;
		position: relative;
		border: none;
/* 		border-left: 1px solid #ee723c; */
		border-radius: 0;
		padding: 5px 20px;
		background-color: transparent;
		background-image: none;
		list-style: none;
		box-shadow: none;
		z-index: 10;
		row-gap: 0;
		column-gap: 0;
		opacity: 1;
		transition: 0.6s;
		display: none;
	}
	
	.header .custom-menu > li.menu-item-has-children span {
		display: block;
	}
	
	.header .custom-menu > li.menu-item-has-children span i {
		display: none;
	}

	.header .custom-menu > li.menu-item-has-children > a {
		padding-bottom: 10px;
		pointer-events: all;
	}

	.header .custom-menu > li.menu-item-has-children > a::after {
		display: none;
	}
	
	.header .custom-menu .sub-menu {
		display: none;
	}
	
	.header .custom-menu > li .sub-menu {
		padding-left: 10px;
	}
	
	.header .custom-menu li .sub-menu li .sub-menu {
		padding-left: 25px !important;
	}
	
	.header .custom-menu > li.menu-item-has-children:hover .sub-menu {
		top: auto;
	}
	
	.header .custom-menu > li {
		display: flex;
		width: 100%;
		justify-content: flex-start;
		align-items: flex-start;
		flex-direction: column;
		padding: 5px 0;
	}
	
	.header .custom-menu li {
		position: relative;
	}
	
	.header .custom-menu li.menu-item-has-children > a {
		position: initial;
	}
	
	.header .custom-menu li.menu-item-has-children > span {
		position: absolute;
		right: 0;
		top:0;
		width: 40px;
		height: 40px;
		z-index: 99;
		cursor: pointer;
	}
	
	.header .custom-menu li.menu-item-has-children > span::before {
		position: absolute;
		content: '+';
		width: 100%;
		height: 100%;
		display: flex;
		align-items: center;
		justify-content: center;
		color: #ed6b32;
		font-size: 28px;
		font-weight: 300;
		right: 0;
		top: 5px;
	}
	
	.header .custom-menu li.menu-item-has-children > span.active::before {
		content: '-';
	}

	.header .custom-menu li a {
		color: #fff;
		font-weight: 300;
		padding: 5px 0;
		width: auto;
	}
	
	.header .custom-menu li:hover > a {
		color:#fff !important;
	}
	.header .custom-menu .current-menu-item > a {
		color: #ed6b32 !important;
	}
	
	.header .custom-menu > li > .sub-menu > li.current-menu-item > a,
	.header .custom-menu > li > .sub-menu > li:hover > a {
		background: none !important;
	}
	
	.header .custom-menu > li > .sub-menu li {
		width: 100%;
		padding: 3px 0;
		font-size: 18px;
	}
	
	.header .custom-menu > li > .sub-menu > li > a {
		border: none;
		font-size: 22px;
		font-weight: 300;
		width: auto;
		display: inline-block;
	}

	.header .custom-menu > li > a {
		font-size: 28px;
	}

	.move {
		overflow: hidden;
	}
	
	.move .custom-menu {
		left: 0;
	}
}